# _value Struct Reference

Encapsulation of a "value". More...

## Public Types

enum | { VALUE_TYPE_INTEGER, VALUE_TYPE_STRING }

## Data Fields

enum _value:: { ... } | type
union {
const char * s
int i
} | data

## Detailed Description

Encapsulation of a "value".

Definition at line 34 of file expression.c.

## Member Enumeration Documentation

anonymous enum

Enumerator:

  VALUE_TYPE_INTEGER |
  VALUE_TYPE_STRING |

Definition at line 35 of file expression.c.

## Field Documentation

union { ... } _value::data

int _value::i

Definition at line 38 of file expression.c.

const char* _value::s

Definition at line 37 of file expression.c.

enum { ... } _value::type

The documentation for this struct was generated from the following file:

- build/expression.c